enum message_code
{
  Eunexpected_eof,
  Eunterminated_comment,
  Eno_chars_following_single_escape,
  Eunterminated_string,
  Eincomplete_dispatch_macro,
  Eillegal_character,
  Eunsupported_dispatch_macro,
  Eundefined_dispatch_macro,
  Eno_following_hex_digits,
  Einvalid_dotted_list,
  Eunexpected_char,
  Eunknown_char_name,
  Echar_code_out_of_range,
  Einvalid_char_code_syntax,
  Eno_initializer_for_vector,
  Etoo_many_initializer_for_vector,
  Elabel_number_redefined,
  Eundefined_label,
  Edot_only_token,
  Eno_label_for_number_equal,
  Eno_label_for_number_number,
  Einvalid_midfix_parameter,
  Enumber_R_parameter_out_of_range,
  Ewrong_argument_for_number_plus,
  Ewrong_argument_for_number_minus,
  Ewrong_integer_format,
  Ebad_package_marker,
  Epackage_marker_appears_end_of_token,
  Etwo_package_marker_appears_beginning_of_token,
  Eexternal_symbol_not_found,
  Ecomma_atsign_after_backquote,
  Ecomma_dot_after_backquote,
  Emalformed_comma,
  Edotted_comma_atsign,
  Edotted_comma_dot,
  Edivision_by_zero,
  Eunbound_variable,
  Eundefined_function,
  Emodify_constant,
  Einvalid_keyword_list,
  Einvalid_lambda_list,
  Einvalid_function,
  Einvalid_variable_list,
  Ebad_macro_form,
  Einvalid_argument,
  Etype_error,
  Ebad_type_specifier,
  Erange_error,
  Etoo_few_arguments,
  Etoo_many_arguments,
  Estorage_condition,
  Estack_overflow,
  Eformat_argument_exhausted,
  Eend_of_ctl_string,
  Eargument_is_circle,
  Etoo_many_parameters,
  Efmt_r_requires_2_36,
  Esign_following_no_chars,
  Esign_following_not_digits,
  Equote_following_no_chars,
  Ecannot_backup,
  Ecannot_goto,
  Eillegal_colon,
  Eillegal_atsign,
  Eillegal_colon_atsign,
  Eillegal_parameter_type,
  Eparameter_out_of_range,
  Eillegal_fmt_V_parameter,
  Eclose_paren_expected,
  Eclose_brace_expected,
  Eclose_bracket_expected,
  Egreater_than_expected,
  Etoo_many_conditional_form,
  Eillegal_colon_circumflex,
  Eillegal_format_directive,
  Ejustification_not_implemented,
  Elists_length_different,
  Etest_and_test_not_are_both_specified,
  Eis_special_variable,
  Eis_constant_variable,
  Evector_has_no_fill_pointer,
  Efill_pointer_is_zero,
  Eelement_and_contents_are_both_specified,
  Einitial_contents_has_wrong_length,
  Epath_name_too_long,
  Einvalid_if_does_not_exist_option,
  Einvalid_if_exists_option,
  Einvalid_direction_option,
  Ecannot_create_file,
  Elabel_reference_self,
  Epackage_already_exists,
  Epackage_value_is_not_package,
  Eno_package,
  Ecannot_use_keyword_package,
  Epackage_is_used,
  Eunable_to_unintern_shadowing_symbol,
  Eis_not_accessible_symbol,
  Ecannot_export_because_name_conflict,
  Eunable_to_unexport_keyword_package,
  Ecannot_import_because_name_conflict,
  Ecannot_use_because_name_conflict,
  Ecannot_access_symbol_from_home_package,
  Efile_not_found,
  Earithmetic_domain_error,
  Efloating_point_overflow,
  Efloating_point_underflow,
  Ecannot_coerce_to,
  Eundefined_struct,
  Einvalid_struct_syntax,
  Einvalid_slot_name,
  Erandom_state_is_not_random_state,
  Einvalid_random_state_initializer,
  Eread_only_buffer,
  Eis_character_special_file,
  Eundo_outside_region,
  Eundo_information_not_kept,
  Eno_undo_information,
  Ecannot_redo_more,
  Edeleted_buffer,
  Equit,
  Ekey_not_bound,
  Mgarbage_collecting,
  Mgarbage_collecting_done,
  Eno_mark_set_in_this_window,
  Ebad_interactive_specifier,
  Enot_a_command,
  Eno_such_buffer,
  Edeleted_window,
  Ecannot_split,
  Ecannot_split_minibuffer_window,
  Eonly_one_window,
  Edeleted_marker,
  Emarker_on_different_buffer,
  Emarker_is_not_set,
  Ecannot_change_window_size,
  Eattempt_to_use_minibuffer_recursively,
  Esilent_quit,
  Eempty_buffer_names_not_allowed,
  Ebuffer_name_too_long,
  Ecannot_switch_in_minibuffer_window,
  Eis_a_directory,
  Ecannot_specify_shift_bit,
  Ecannot_delete_backup_file,
  Mcannot_create_numbered_backup_file,
  Mbuffer_needs_not_save,
  Mbuffer_is_truncated,
  Eno_file_name,
  Eis_write_protected,
  Mdisk_file_has_changed,
  Ecannot_make_temp_file_name,
  Mwriting,
  Ecannot_create_backup_file,
  Mauto_saving,
  Mauto_saving_done,
  Ewrite_error,
  MFwrote_n_lines,
  Ere_invalid_pattern,
  Ere_unmatched_lbrace,
  Ere_malformed_repeat_count,
  Ere_nesting_too_deep,
  Ere_unmatched_rparen,
  Ere_unmatched_lparen,
  Eunmatched_bracket,
  Einvalid_syntax_spec,
  Einvalid_integer_format,
  Enot_a_directory,
  Munbalanced_parenthesis,
  Munmatched_parenthesis,
  Econtaining_expression_ends_prematurely,
  Munbalanced_else,
  Melse_not_within_a_conditional,
  Ecreate_thread_failed,
  Msubprocesses_are_running,
  Esubprocess_is_already_running,
  Ebuffer_has_subprocess,
  Mfile_has_changed_on_disk,
  Eedit_canceled,
  Mmodified_buffers_exist,
  Euninitialized_menu_item,
  Eis_not_popup_menu,
  Etoo_many_menu_items,
  Einvalid_dialog_format,
  Einvalid_dialog_font,
  Einvalid_dialog_item,
  Einvalid_dialog_caption,
  Eunknown_dialog_option,
  Ehiragana_and_katakana_are_both_specified,
  Einvalid_byte_code,
  Mfile_has_already_locked,
  Ekbd_macro_called_recursively,
  Eline_spacing_must_0_to_30,
  Edde_error,
  Edde_timeout,
  Edde_busy,
  Edde_low_memory,
  Edde_no_conv,
  Edde_not_processed,
  Edde_server_died,
  Edde_terminated_transaction,
  Ekbd_input_is_disabled,
  Efiler_is_not_open,
  Efiler_is_not_in_dual_window_mode,
  Einvalid_if_access_denied_option,
  Eassoc_incomplete,
  Eno_assoc,
  Einvalid_dictionary,
  ARC_ERROR_DISK_SPACE,
  ARC_ERROR_READ_ONLY,
  ARC_ERROR_USER_SKIP,
  ARC_ERROR_UNKNOWN_TYPE,
  ARC_ERROR_METHOD,
  ARC_ERROR_PASSWORD_FILE,
  ARC_ERROR_VERSION,
  ARC_ERROR_FILE_CRC,
  ARC_ERROR_FILE_OPEN,
  ARC_ERROR_MORE_FRESH,
  ARC_ERROR_NOT_EXIST,
  ARC_ERROR_ALREADY_EXIST,
  ARC_ERROR_TOO_MANY_FILES,
  ARC_ERROR_DIRECTORY,
  ARC_ERROR_CANNOT_WRITE,
  ARC_ERROR_HUFFMAN_CODE,
  ARC_ERROR_COMMENT_HEADER,
  ARC_ERROR_HEADER_CRC,
  ARC_ERROR_HEADER_BROKEN,
  ARC_ERROR_ARC_FILE_OPEN,
  ARC_ERROR_NOT_ARC_FILE,
  ARC_ERROR_CANNOT_READ,
  ARC_ERROR_FILE_STYLE,
  ARC_ERROR_COMMAND_NAME,
  ARC_ERROR_MORE_HEAP_MEMORY,
  ARC_ERROR_ENOUGH_MEMORY,
  ARC_ERROR_DEAD,
  Eextract_error,
  Ecompress_error,
  Ecompress_not_supported,
  Epower_number_too_large,
  Ezero_denominator,
  Ebignum_overflow,
  Einvalid_complex_syntax,
  Evector_is_not_adjustable,
  Eunmatch_array_type,
  Edisplaced_to_array_too_small,
  Earray_size_too_large,
  Earray_rank_too_large,
  Earray_type_mismatch,
  Ecannot_replace_displace_array,
  Eis_not_adjustable_array,
  Eis_same_array,
  Earray_rank_mismatch,
  Eno_rank_is_specified,
  Eno_initializer_for_array,
  Earray_initializer_count_mismatch,
  Ecannot_coerce_to_character,
  Einvalid_slot,
  Estructure_includes_recursively,
  Ewrong_slot_description,
  Eis_typed_structure,
  Eend_of_file,
  Eunknown_folder_name,
  Eunknown_STRRET_type,
  Ecomma_atsign_is_not_in_backquote,
  Ecomma_dot_is_not_in_backquote,
  Ecomma_is_not_in_backquote,
  Eunknown_c_type,
  Einvalid_c_argument_type,
  Edll_not_initialized,
  Ewrong_function_bar_char,
  Ebad_function_bar_label_number,
  Einvalid_encoding_option,
  Edde_undefined_return_type,
  EPDERR_INITFAILURE,
  EPDERR_LOADDRVFAILURE,
  EPDERR_NODEFAULTPRN,
  EPDERR_NODEVICES,
  EPDERR_PRINTERNOTFOUND,
  Esuffix_too_long,
  Mclumsy_backup_filename,
  Einvalid_share_option,
  Eprefix_too_long,
  ARC_ERROR_NOT_SUPPORT,
  Ecannot_convert_to_variant,
  Einvalid_idispatch,
  Ecannot_convert_from_variant,
  Ereadtable_value_is_not_readtable,
  Emacro_char_out_of_range,
  Edispmacro_sub_char_out_of_range,
  Eis_not_a_dispmacro_char,
  Enumeric_dispmacro_sub_char,
  Eis_not_a_macro_char,
  Eis_not_a_dispmacro_sub_char,
  Einvalid_readtable_case,
  Eis_special_form,
  Einvalid_window_configuration,
  Einvalid_doc_file,
  Ecomplex_regexp,
  Etarget_xyzzy_is_busy,
  Euncompress_not_supported,
  Eunknown_charset,
  Eunsupported_charset,
  Eunsupported_codepage,
  Eunknown_char_encoding,
  Enot_a_shortcut,
  Etimezone_is_integral_multiple_of_1_3600,
  Eremove_not_supported,
  Eremove_error,
  Ecannot_open_bmp_file,
  Ebad_bmp_format,
  Eunsupported_bmp_format,
  Ecannot_create_bitmap,
  ECannot_create_toolbar,
  Etoo_many_tool_items,
  Eno_tool_items,
  Etoolbar_exist,
  Eundefined_toolbar,
  Enot_a_tab_bar,
  Emultiple_position_specified,
  Eno_event_sink,
  Etab_not_found,
  Erename_failed,
  ESHFileOperation_not_supported,
  Edelete_failed,
  Enot_in_gzip_format,
  Egzip_data_error,
  Eregexp_too_long,
  Ehtml_help_does_not_supported,
  Ehtml_help_error,
  Einvalid_ienum_variant
};
